{% extends "@FOSUser/layout.html.twig" %}

{% block fos_user_content %}
    {% include "@FOSUser/Registration/register_content.html.twig" %}
{% endblock fos_user_content %}




{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('bundles/fosjsrouting/js/router.min.js') }}"></script>
           <script src="{{ path('fos_js_routing_js', { callback: 'fos.Router.setData' }) }}"></script> 


    <script>
        $('.etudiant_inp').change(function () {
                if ($(this).val()) {
                $.ajax({
                    url: Routing.generate('user_default', {id: $(this).val()}),
                    success: function (result) {
                        var parsed = jQuery.parseJSON(result);
                        $('.username_inp').val(parsed.username);
                        $('.email_inp').val(parsed.email);
                        
                        $('.password_inp').val(parsed.password);
                        $('.confirm_password_inp').val(parsed.password);
                        $('.confirm_password_inp').val(parsed.password);
                        $('.etudiant_dp').val(parsed.password);
                        
                        $('.password_div').html("<span class='label label-success label-white middle'>"+parsed.password+"</span>")

                    }
                });



            }
        });
    </script>


{% endblock %}